scala.tools.ant

# ScalacShared

#### trait ScalacShared extends ScalaMatchingTask

Source
  ScalacShared.scala

Linear Supertypes
ScalaMatchingTask, ScalaTask, MatchingTask, SelectorContainer, Task, ProjectComponent, java.lang.Cloneable, AnyRef, Any
Known Subclasses
FastScalac, Scalac, ScalacFork
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ScalacShared
2. ScalaMatchingTask
3. ScalaTask
4. MatchingTask
5. SelectorContainer
6. Task
7. ProjectComponent
8. Cloneable
9. AnyRef
10. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ScalacShared to any2stringadd[ScalacShared] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ScalacShared, B)

   Implicit information
     This member is added by an implicit conversion from ScalacShared to ArrowAssoc[ScalacShared] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### val MainClass: String

7. #### def XsetIgnore(arg0: String): Unit

   Definition Classes
     MatchingTask

8. #### def XsetItems(arg0: String): Unit

   Definition Classes
     MatchingTask

9. #### def add(arg0: FileSelector): Unit

   Definition Classes
     MatchingTask → SelectorContainer

10. #### def addAnd(arg0: AndSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

11. #### def addContains(arg0: ContainsSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

12. #### def addContainsRegexp(arg0: ContainsRegexpSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

13. #### def addCustom(arg0: ExtendSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

14. #### def addDate(arg0: DateSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

15. #### def addDepend(arg0: DependSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

16. #### def addDepth(arg0: DepthSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

17. #### def addDifferent(arg0: DifferentSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

18. #### def addFilename(arg0: FilenameSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

19. #### def addMajority(arg0: MajoritySelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

20. #### def addModified(arg0: ModifiedSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

21. #### def addNone(arg0: NoneSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

22. #### def addNot(arg0: NotSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

23. #### def addOr(arg0: OrSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

24. #### def addPresent(arg0: PresentSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

25. #### def addSelector(arg0: SelectSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

26. #### def addSize(arg0: SizeSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

27. #### def addType(arg0: TypeSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

28. #### def appendSelector(arg0: FileSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

29. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

30. #### final def bindToOwner(arg0: Task): Unit

    Definition Classes
      Task

31. #### def buildError(message: String): Nothing

    Generates a build error.

    Generates a build error. Error location will be the current task in the ant file.

    message

      A message describing the error.

    Attributes
      protected
    Definition Classes
      ScalaTask
    Exceptions thrown
      BuildException

      A build error exception thrown in every case.

32. #### def clone(): AnyRef

    Definition Classes
      ProjectComponent → AnyRef
    Annotations
      @throws( ... )

33. #### def createExclude(): NameEntry

    Definition Classes
      MatchingTask

34. #### def createExcludesFile(): NameEntry

    Definition Classes
      MatchingTask

35. #### def createInclude(): NameEntry

    Definition Classes
      MatchingTask

36. #### def createIncludesFile(): NameEntry

    Definition Classes
      MatchingTask

37. #### def createPatternSet(): PatternSet

    Definition Classes
      MatchingTask

38. #### def ensuring(cond: (ScalacShared) ⇒ Boolean, msg: ⇒ Any): ScalacShared

    Implicit information
      This member is added by an implicit conversion from ScalacShared to Ensuring[ScalacShared] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

39. #### def ensuring(cond: (ScalacShared) ⇒ Boolean): ScalacShared

    Implicit information
      This member is added by an implicit conversion from ScalacShared to Ensuring[ScalacShared] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

40. #### def ensuring(cond: Boolean, msg: ⇒ Any): ScalacShared

    Implicit information
      This member is added by an implicit conversion from ScalacShared to Ensuring[ScalacShared] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

41. #### def ensuring(cond: Boolean): ScalacShared

    Implicit information
      This member is added by an implicit conversion from ScalacShared to Ensuring[ScalacShared] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

42. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

43. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

44. #### def execWithArgFiles(java: Java, paths: List[String]): Int

45. #### def execute(): Unit

    Definition Classes
      Task
    Annotations
      @throws( ... )

46. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

47. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ScalacShared to StringFormat[ScalacShared] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

48. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

49. #### def getDescription(): String

    Definition Classes
      ProjectComponent

50. #### def getDirectoryScanner(arg0: File): DirectoryScanner

    Attributes
      protected[org.apache.tools.ant.taskdefs]
    Definition Classes
      MatchingTask

51. #### final def getImplicitFileSet(): FileSet

    Attributes
      protected[org.apache.tools.ant.taskdefs]
    Definition Classes
      MatchingTask

52. #### def getLocation(): Location

    Definition Classes
      ProjectComponent

53. #### def getOwningTarget(): Target

    Definition Classes
      Task

54. #### def getProject(): Project

    Definition Classes
      ProjectComponent

55. #### def getRuntimeConfigurableWrapper(): RuntimeConfigurable

    Definition Classes
      Task

56. #### def getSelectors(arg0: Project): Array[FileSelector]

    Definition Classes
      MatchingTask → SelectorContainer

57. #### def getTaskName(): String

    Definition Classes
      Task

58. #### def getTaskType(): String

    Definition Classes
      Task

59. #### def getWrapper(): RuntimeConfigurable

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

60. #### def handleErrorFlush(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

61. #### def handleErrorOutput(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

62. #### def handleFlush(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

63. #### def handleInput(arg0: Array[Byte], arg1: Int, arg2: Int): Int

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
    Annotations
      @throws( classOf[java.io.IOException] )

64. #### def handleOutput(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

65. #### def hasSelectors(): Boolean

    Definition Classes
      MatchingTask → SelectorContainer

66. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

67. #### def init(): Unit

    Definition Classes
      Task
    Annotations
      @throws( ... )

68. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

69. #### final def isInvalid(): Boolean

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

70. #### def log(arg0: String, arg1: java.lang.Throwable, arg2: Int): Unit

    Definition Classes
      Task

71. #### def log(arg0: java.lang.Throwable, arg1: Int): Unit

    Definition Classes
      Task

72. #### def log(arg0: String, arg1: Int): Unit

    Definition Classes
      Task → ProjectComponent

73. #### def log(arg0: String): Unit

    Definition Classes
      Task → ProjectComponent

74. #### def maybeConfigure(): Unit

    Definition Classes
      Task
    Annotations
      @throws( ... )

75. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

76. #### final def notify(): Unit

    Definition Classes
      AnyRef

77. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

78. #### final def perform(): Unit

    Definition Classes
      Task

79. #### def reconfigure(): Unit

    Definition Classes
      Task

80. #### def selectorCount(): Int

    Definition Classes
      MatchingTask → SelectorContainer

81. #### def selectorElements(): java.util.Enumeration

    Definition Classes
      MatchingTask → SelectorContainer

82. #### def setCaseSensitive(arg0: Boolean): Unit

    Definition Classes
      MatchingTask

83. #### def setDefaultexcludes(arg0: Boolean): Unit

    Definition Classes
      MatchingTask

84. #### def setDescription(arg0: String): Unit

    Definition Classes
      ProjectComponent

85. #### def setExcludes(arg0: String): Unit

    Definition Classes
      MatchingTask

86. #### def setExcludesfile(arg0: File): Unit

    Definition Classes
      MatchingTask

87. #### def setFollowSymlinks(arg0: Boolean): Unit

    Definition Classes
      MatchingTask

88. #### def setIncludes(arg0: String): Unit

    Definition Classes
      MatchingTask

89. #### def setIncludesfile(arg0: File): Unit

    Definition Classes
      MatchingTask

90. #### def setLocation(arg0: Location): Unit

    Definition Classes
      ProjectComponent

91. #### def setOwningTarget(arg0: Target): Unit

    Definition Classes
      Task

92. #### def setProject(arg0: Project): Unit

    Definition Classes
      MatchingTask → ProjectComponent

93. #### def setRuntimeConfigurableWrapper(arg0: RuntimeConfigurable): Unit

    Definition Classes
      Task

94. #### def setTaskName(arg0: String): Unit

    Definition Classes
      Task

95. #### def setTaskType(arg0: String): Unit

    Definition Classes
      Task

96. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

97. #### def toString(): String

    Definition Classes
      AnyRef → Any

98. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

99. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

100. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

101. #### def →[B](y: B): (ScalacShared, B)

     Implicit information
       This member is added by an implicit conversion from ScalacShared to ArrowAssoc[ScalacShared] performed by method ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Inherited from ScalaMatchingTask

### Inherited from ScalaTask

### Inherited from MatchingTask

### Inherited from SelectorContainer

### Inherited from Task

### Inherited from ProjectComponent

### Inherited from java.lang.Cloneable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ScalacShared to any2stringadd[ScalacShared]

### Inherited by implicit conversion StringFormat from ScalacShared to StringFormat[ScalacShared]

### Inherited by implicit conversion Ensuring from ScalacShared to Ensuring[ScalacShared]

### Inherited by implicit conversion ArrowAssoc from ScalacShared to ArrowAssoc[ScalacShared]

### Ungrouped